Data Structures

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Structures
Here are the data structures with brief descriptions:
[detail level 123456]

►Necore |
►Nidle |
C enterer | Class enterer
C exiter | Class exiter
C animator | Class animator
C exe | Class exe
C idler | Class idler
C job | Class job
C parent | Class parent
C poller | Class poller
C timer | Timers are objects that will call a given callback at some point
►Nedje |
C edit | Class edit
C object | Class object
►Nefl |
►Necore |
C _data |
C _identity |
C _return_buffer |
C _return_buffer< void > |
C ecore_init |
►Neet |
►N_detail |
►C descriptor_type |
►C push_back |
C apply |
C member_desc_info |
C member_info |
C member_info< F, void > |
C member_type |
C member_type< T(U::*)> |
C object_type |
C object_type< T(U::*)> |
C _eet_type |
C _eet_type< char * > |
C _eet_type< char > |
C _eet_type< double > |
C _eet_type< eina::value > |
C _eet_type< float > |
C _eet_type< int > |
C _eet_type< long long > |
C _eet_type< short > |
C _eet_type< unsigned char > |
C _eet_type< unsigned int > |
C _eet_type< unsigned long long > |
C _eet_type< unsigned short > |
C _eet_type< void * > |
C _void |
C descriptor |
C eet_init |
C is_eet_primitive |
C is_eet_primitive< T, typename _void< typename _eet_type< T >::type >::type > |
►Neina |
►N_detail |
C arguments |
►N_mpl |
C fold |
C fold_impl |
C fold_impl< T, F, A0, true > |
C pop_front |
C pop_front< C< T, Args...> > |
C push_back |
C push_back< C< Args...>, AArgs...> |
C push_front |
C push_front< C< Args...>, AArgs...> |
►N log_level | Types to represent each log level
C critical_t | Type for representing a critical log level
C debug_t | Type for representing a debug log level
C error_t | Type for representing an error log level
C info_t | Type for representing an information log level
C warn_t | Type for representing a warning log level
C _common_iterator_base | Common implementations for iterators
C _const_range_template | Range implementation for immutable collections
C _domain_base | Base implementation for log domains
C _eina_value_traits |
C _eina_value_traits< char > |
C _eina_value_traits< double > |
C _eina_value_traits< float > |
C _eina_value_traits< int > |
C _eina_value_traits< long > |
C _eina_value_traits< short > |
C _eina_value_traits< std::string > |
C _eina_value_traits< stringshare > |
C _eina_value_traits< T[], typename eina::enable_if< eina::is_pod< T >::value >::type > |
C _eina_value_traits< unsigned char > |
C _eina_value_traits< unsigned int > |
C _eina_value_traits< unsigned long > |
C _eina_value_traits< unsigned short > |
C _eina_value_traits_aux |
C _eina_value_traits_aux< uint64_t > |
C _eina_value_traits_base |
►C _eo_list_access_traits |
C const_iterator |
C iterator |
►C _inarray_access_traits |
C const_iterator |
C const_native_handle |
C iterator |
C native_handle |
C _inarray_common_base | Common inarray interface for every value type
►C _inlist_access_traits |
C const_iterator |
C const_native_handle |
C iterator |
C native_handle |
►C _inlist_common_base | Common implementations for inline list
C _inlist_impl |
C _inlist_iterator |
C _inlist_node |
C _mutable_range_template | Range implementation for mutable collections
C _nonpod_inarray |
C _pod_inarray | Optimized specialization of the base inline array for POD types
►C _ptr_array_access_traits |
C const_iterator |
C const_native_handle |
C iterator |
C native_handle |
►C _ptr_array_common_base | Common implementations for the ptr_array
C _ptr_array_impl |
C _ptr_array_iterator |
C _ptr_eo_array_iterator |
C _ptr_eo_list_iterator |
►C _ptr_list_access_traits |
C const_iterator |
C const_native_handle |
C iterator |
C native_handle |
►C _ptr_list_common_base | Common implementations for `ptr_list`
C _ptr_list_impl |
C _ptr_list_iterator |
C _ptr_list_iterator_base |
C _range_template | Range class
C accessor |
C accessor< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > |
C accessor< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > |
C accessor_common_base | Wraps an native Eina_Accessor and provide random access to data structures
C accessor_iterator |
C accessor_iterator< T, typename std::enable_if< !std::is_base_of<::efl::eo::concrete, T >::value, T >::type > | Random access iterator for `eina::accessor`
C accessor_iterator< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value, T >::type > | Specialization for all data types that are not derivated from efl::eo::concrete
C array |
C array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > |
C basic_string_view |
C clone_allocator_deleter |
C concat |
C concat< integer_sequence< T, I1...>, integer_sequence< T, I2...> > | Compile-time concatenation of two integer sequences
C condition_variable | Provides an OOP interface to the `Eina_Condition` and automatic resource allocation and deallocation using the RAII programming idiom
C default_domain |
C eina_init | Initialize the Eina library
C eina_threads_init | Initialize the mutexes of the Eina library
C eo_clone_allocator | This allocator creates copies of Eo classes through eo_ref
C error_category | Specialized error category for Eina errors
C gen_seq |
C gen_seq< std::size_t, 0 > |
C gen_seq< std::size_t, 1 > |
C global_domain |
C heap_clone_allocator | This allocator allows users to create custom allocation schemes by overloading the `new_clone(T const& v)` and `delete_clone(T* p)` functions
C heap_copy_allocator | This allocator creates copies of objects on the heap, calling their copy constructor to make then equivalent to the given reference
C heap_no_copy_allocator | This allocator does not define an `allocate_clone` member function, so it should be used to disable operations that require elements to be cloned
C if_ |
C if_c |
C if_c< false, T, F > |
C inarray | Inline array class
C indirect_is_contiguous_iterator |
C indirect_is_contiguous_iterator< std::vector< char >::const_iterator > |
C indirect_is_contiguous_iterator< std::vector< char >::iterator > |
C inlist | C++ wrapper for the native Eina inline list
C integer_sequence | Compile-time sequence of integers
C is_contiguous_iterator |
C is_contiguous_iterator< std::string::const_iterator > |
C is_contiguous_iterator< std::string::iterator > |
C is_contiguous_iterator< stringshare::const_iterator > | Specialization of the default template to define the `stringshare::const_iterator` as a contiguous iterator
C iterator | C++ wrappers to the native `Eina_Iterator`
C list |
C list< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > |
C log_domain | Class for creating log domains
C malloc_clone_allocator | Manages allocation and deallocation of memory using the function `malloc` and `free`
C mutex | Provides an OOP interface to the `Eina_Lock` and automatic resource allocation and deallocation using the RAII programming idiom
C optional | This class manages an optional contained value, i.e
C pop_integer_sequence_t |
C pop_integer_sequence_t< integer_sequence< T >, integer_sequence< T > > |
C pop_integer_sequence_t< integer_sequence< T >, integer_sequence< T, S0, S...> > |
C pop_integer_sequence_t< integer_sequence< T, S, Ss1...>, integer_sequence< T, S, Ss2...> > |
C pop_integer_sequence_t< integer_sequence< T, S0, S...>, integer_sequence< T > > |
C ptr_array | Array class
C ptr_list | List class
C range_inarray | Range class for inarray
C range_inlist | Range for inline list elements
C range_list |
C range_list< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > |
C range_ptr_array | Range for ptr_array
C range_ptr_list | Range class for ptr_list
C steal_stringshare_ref_t | Type for stealing the ownership of a string that was previously shared
C stringshare | Stringshare class
C thread | Provides an OOP interface to the `Eina_Thread` and automatic resource allocation and deallocation using the RAII programming idiom
C thread_id | Thread identifier
C value | Store generic value
C view_clone_allocator | This allocator does not allocate or deallocate anything
►Neldbus |
►N_detail |
C concat |
C concat< integer_sequence< T, I1...>, integer_sequence< T, I2...> > |
C gen_seq |
C gen_seq< std::size_t, 0 > |
C gen_seq< std::size_t, 1 > |
C integer_sequence |
C raw_tuple |
►C raw_tuple< std::tuple< T...> > |
►C push_back |
C apply |
C signature_size |
C signature_size_impl |
C signature_size_impl< T, eina::index_sequence< S...> > |
C signature_traits |
C signature_traits< bool > |
C signature_traits< char > |
C signature_traits< double > |
C signature_traits< int16_t > |
C signature_traits< int32_t > |
C signature_traits< int64_t > |
C signature_traits< std::string > |
C signature_traits< T const > |
C signature_traits< uint16_t > |
C signature_traits< uint32_t > |
C signature_traits< uint64_t > |
C tag |
►Nservice |
►N_detail |
C const_char_type |
C ins |
C method_specification |
C outs |
C address_t |
C connection |
C const_message |
C const_pending |
C eldbus_init |
C error_t |
C message |
C message_iterator |
C message_value |
C method_call_t |
C object |
C pending |
C proxy |
C reply_t |
C service_interface |
C session_t |
C start_t |
C system_t |
C unknown_t |
►Neo |
►Ndetail |
C concrete_address_const_of |
C concrete_address_of |
C extension_inheritance |
►C extension_inheritance< concrete > |
C type |
C operation_description_index |
C operation_description_index< 0u, E...> |
C operation_description_size |
C operation_description_size< E0, E...> |
C operation_description_size<> |
C _event_deleter |
C concrete | Creates concrete versions for Eo wrappers
C eo_init | A simple RAII implementation to initialize and terminate the EO Subsystem
C inherit | Template-class that allows client code to inherit from EO C++ Classes without the need to make explicit calls to EO methods — that would naturally be necessary to register itself in the EO Subsystem
C parent_expr | The expression type declaring the assignment operator used in the parent argument of the concrete Eo C++ class
C parent_type | Type used to hold the parent passed to concrete Eo C++ constructors
C scoped_signal_connection |
C signal_connection |
C wref | Weak references to an EO Object
►Neolian |
►Ngrammar |
C _parameters_cxx_generic |
C _scope_guard_head |
C _scope_guard_tail |
C abstract_address_of |
C abstract_full_name |
C abstract_namespace_type |
C add_cast_to_t |
C address_of_inheritance |
C address_of_to_pointer |
C c_type |
C callback_parameter_free_ev_add |
C callback_tmp |
C callbacks_heap_alloc |
C class_implicit_conversion_declaration |
C class_implicit_conversion_definition |
C class_inheritance |
C class_name |
C comment |
C comment_constructor_with_constructor_methods |
C concrete_address_of |
C concrete_eo_ptr_getter |
C constructor_eo |
C constructor_functor_type_decl |
C constructor_functor_type_name |
C constructor_method_function_declarations |
C constructor_method_function_definitions |
C constructor_with_constructor_methods |
C constructors_with_constructor_methods |
C copy_constructor |
C destructor |
C eo_class_getter |
C event_callback_add |
C event_callback_call |
C events |
C full_name |
C function_call |
C function_call_constructor_methods |
C function_declaration |
C function_declarations |
C function_definition |
C function_definitions |
C functors_constructor_methods |
C include_dependencies |
C inheritance_base_operations |
C inheritance_base_operations_extensions |
C inheritance_base_operations_function |
C inheritance_base_operations_size |
C inheritance_base_operations_size_scopes |
C inheritance_eo_class_getter |
C inheritance_operation |
C inheritance_operations_description |
C inheritance_wrappers |
C name_upper |
C namespace_head |
C namespace_tail |
C param_data |
C parameter_forward |
C parameter_no_ref_type |
C parameter_remove_reference_typedef |
C parameter_type |
C parameters_c_declaration |
C parameters_c_list |
C parameters_c_names |
C parameters_cxx_list |
C parameters_declaration |
C parameters_forward |
C parameters_forward_to_c |
C parameters_names |
C parameters_types |
C reinterpret_type |
C tab |
C template_parameter_type |
C template_parameters_declaration |
C to_c |
C to_cxx |
C type_ownership |
C callback_args_type |
C callback_args_type< R(*)(Args...)> |
C callback_result_type |
C callback_result_type< R(*)(Args...)> |
C eo_class |
C eo_constructor |
C eo_event |
C eo_function |
C eo_generator_options |
C eo_parameter |
C eolian_init |
C eolian_type |
C eolian_type_instance |
C tag |
C traits |
C traits< T, typename std::enable_if< std::is_base_of< std::basic_string< char >, T >::value >::type > |
C traits< T, typename std::enable_if< std::is_base_of<::efl::eina::basic_string_view< char >, T >::value >::type > |
C traits< T, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > |
►Ngfx |
►Ngradient |
C base | Class base
C linear | Class linear
C radial | Class radial
C base | Class base
C fill | Class fill
C shape | Class shape
C stack | Class stack
C view | Class view
►Nmodel |
C base | Class base
►Nvg |
C base | Class base
C container | Class container
C gradient | Class gradient
C gradient_linear | Class gradient_linear
C gradient_radial | Class gradient_radial
C root_node | Class root_node
C shape | Class shape
C control | Class control
C file | Class file
C image | Class image
C player | Class player
C text | Class text
C text_properties | Class text_properties
►Neio |
C model | Class model
►Neo |
C abstract_class | Class abstract_class
C base | Class base
►Nevas |
C box | Class box
C canvas | Class canvas
C clickable_interface | Class clickable_interface
C common_interface | Class common_interface
C draggable_interface | Class draggable_interface
C grid | Class grid
C image | Class image
C line | Class line
C object | Class object
C object_smart | Class object_smart
C out | Class out
C polygon | Class polygon
C rectangle | Class rectangle
C scrollable_interface | Class scrollable_interface
C selectable_interface | Class selectable_interface
C signal_interface | Class signal_interface
C smart_clipped | Class smart_clipped
C table | Class table
C text | Class text
C textblock | Class textblock
C textgrid | Class textgrid
C vg | Class vg
C zoomable_interface | Class zoomable_interface
►Nstd |
C hash< ::efl::eina::thread_id > |
C is_base_of< ::efl::eo::concrete, const ::Eo > |
C is_base_of< ::efl::eo::concrete, const volatile::Eo > |
C is_base_of< ::efl::eo::concrete, volatile::Eo > |
C is_base_of< ::efl::eo::concrete,::Eo > |
C is_base_of< const ::efl::eo::concrete, const ::Eo > |
C is_base_of< const ::efl::eo::concrete, const volatile::Eo > |
C is_base_of< const ::efl::eo::concrete, volatile::Eo > |
C is_base_of< const ::efl::eo::concrete,::Eo > |
C is_error_code_enum< ::efl::eina::error_type > |
C is_error_condition_enum< ::efl::eina::error_type > |
C _Atom_Item |
C _Ecore_Audio_Vio |
C _Ecore_Axis |
C _Ecore_Cocoa_Event_Video_Resize |
C _Ecore_Cocoa_Event_Window |
C _ecore_cocoa_keys_s |
C _Ecore_Cocoa_Screen |
C _Ecore_Con_Event_Client_Add | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_ADD event
C _Ecore_Con_Event_Client_Data | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_DATA event
C _Ecore_Con_Event_Client_Del | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_DEL event
C _Ecore_Con_Event_Client_Error | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_ERROR event
C _Ecore_Con_Event_Client_Upgrade | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_UPGRADE event
C _Ecore_Con_Event_Client_Write | Used as the `data` param for the ECORE_CON_EVENT_CLIENT_WRITE event
C _Ecore_Con_Event_Proxy_Bind | Used as the `data` param for the ECORE_CON_EVENT_PROXY_BIND event
C _Ecore_Con_Event_Server_Add | Used as the `data` param for the ECORE_CON_EVENT_SERVER_ADD event
C _Ecore_Con_Event_Server_Data | Used as the `data` param for the ECORE_CON_EVENT_SERVER_DATA event
C _Ecore_Con_Event_Server_Del | Used as the `data` param for the ECORE_CON_EVENT_SERVER_DEL event
C _Ecore_Con_Event_Server_Error | Used as the `data` param for the ECORE_CON_EVENT_SERVER_ERROR event
C _Ecore_Con_Event_Server_Upgrade | Used as the `data` param for the ECORE_CON_EVENT_SERVER_UPGRADE event
C _Ecore_Con_Event_Server_Write | Used as the `data` param for the ECORE_CON_EVENT_SERVER_WRITE event
C _Ecore_Con_Event_Url_Complete | Used as the `data` param for the ECORE_CON_EVENT_URL_COMPLETE event
C _Ecore_Con_Event_Url_Data | Used as the `data` param for the ECORE_CON_EVENT_URL_DATA event
C _Ecore_Con_Event_Url_Progress | Used as the `data` param for the ECORE_CON_EVENT_URL_PROGRESS event
C _Ecore_Drm_Device |
C _Ecore_Drm_Event_Activate |
C _Ecore_Drm_Event_Output |
C _Ecore_Drm_Fb |
C _Ecore_Evas_Engine_Buffer_Data |
C _Ecore_Evas_Interface_Drm |
C _Ecore_Evas_Interface_Extn |
C _Ecore_Evas_Interface_Gl_X11 |
C _Ecore_Evas_Interface_Software_X11 |
C _Ecore_Evas_Interface_Wayland |
C _Ecore_Evas_Interface_Win32 |
C _Ecore_Evas_Interface_X11 |
C _Ecore_Event_Axis_Update |
C _Ecore_Event_Key | Contains information about an Ecore keyboard event
C _Ecore_Event_Modifiers | Contains information about an Ecore event modifier
C _Ecore_Event_Mouse_Button | Contains information about an Ecore mouse button event
C _Ecore_Event_Mouse_IO | Contains information about an Ecore mouse input/output event
C _Ecore_Event_Mouse_Move | Contains information about an Ecore mouse move event
C _Ecore_Event_Mouse_Wheel | Contains information about an Ecore mouse wheel event
C _Ecore_Event_Signal_Exit | A structure that stores information of an Exit request event
C _Ecore_Event_Signal_Hup | A structure that stores information of a Hup signal event
C _Ecore_Event_Signal_Power | A structure that stores information of a Power event
C _Ecore_Event_Signal_Realtime | A structure that stores information of a Realtime event
C _Ecore_Event_Signal_User | A structure that stores information of a User signal event
C _Ecore_Exe_Event_Add | A structure that stores information of a Process add event
C _Ecore_Exe_Event_Data | A structure that stores information of data from a child process event
C _Ecore_Exe_Event_Data_Line | A structure that stores information of lines data from a child process
C _Ecore_Exe_Event_Del | A structure that stores information of a Process exit event
C _Ecore_Getopt | Structure that contains information on all command line options
C _Ecore_Getopt_Desc | Structure that describe an option of the command line
C _Ecore_Getopt_Desc_Callback | Structure used when action is ECORE_GETOPT_ACTION_CALLBACK
C _Ecore_Getopt_Desc_Store | Structure used when action is ECORE_GETOPT_ACTION_STORE
C _Ecore_Getopt_Value | Union listing the types of parameters that can take Getopt values
C _Ecore_IMF_Context_Class | Structure used when creating a new Input Method Context
C _Ecore_IMF_Context_Info | A IMF structure containing context information
C _Ecore_IMF_Event | A union of IMF events
C _Ecore_IMF_Event_Commit | The structure type used with the Commit Input Method event
C _Ecore_IMF_Event_Delete_Surrounding | The structure type used with the Delete_Surrounding Input Method event
C _Ecore_IMF_Event_Key_Down | The structure type used with the Key_Down event
C _Ecore_IMF_Event_Key_Up | The structure type used with the Key_Up event
C _Ecore_IMF_Event_Mouse_Down | The structure type used with the Mouse_Down event
C _Ecore_IMF_Event_Mouse_In | The structure type used with the Mouse_In event
C _Ecore_IMF_Event_Mouse_Move | The structure type used with the Mouse_Move event
C _Ecore_IMF_Event_Mouse_Out | The structure type used with the Mouse_Out event
C _Ecore_IMF_Event_Mouse_Up | The structure type used with the Mouse_Up event
C _Ecore_IMF_Event_Mouse_Wheel | The structure type used with the Mouse_Wheel event
C _Ecore_IMF_Event_Preedit_Changed | The structure type used with the Preedit_Changed Input Method event
C _Ecore_IMF_Event_Preedit_End | The structure type used with the Preedit_End Input Method event
C _Ecore_IMF_Event_Preedit_Start | The structure type used with the Preedit_Start Input Method event
C _Ecore_IMF_Event_Selection | The structure type used with the Selection Input Method event
C _Ecore_IMF_Preedit_Attr | Structure that contains preedit attribute information
C _Ecore_Ipc_Event_Client_Add | An IPC structure for client_add event
C _Ecore_Ipc_Event_Client_Data | An IPC structure for client_data event
C _Ecore_Ipc_Event_Client_Del | An IPC structure for client_del event
C _Ecore_Ipc_Event_Server_Add | An IPC structure for server_add event
C _Ecore_Ipc_Event_Server_Data | An IPC structure for server_data event
C _Ecore_Ipc_Event_Server_Del | An IPC structure for server_del event
C _Ecore_Psl1ght_Event_Key_Down | PSL1GHT Key Down event
C _Ecore_Psl1ght_Event_Key_Modifiers | PSL1GHT Key Modifier event
C _Ecore_Psl1ght_Event_Key_Up | PSL1GHT Key Up event
C _Ecore_Psl1ght_Event_Mouse_Button_Down | PSL1GHT Mouse Down event
C _Ecore_Psl1ght_Event_Mouse_Button_Up | PSL1GHT Mouse Up event
C _Ecore_Psl1ght_Event_Mouse_Move | PSL1GHT Mouse Move event
C _Ecore_Psl1ght_Event_Mouse_Wheel | PSL1GHT Mouse Wheel event
C _ecore_psl1ght_keys_s |
C _Ecore_Sdl_Event_Key_Down | SDL Key Down event
C _Ecore_Sdl_Event_Key_Up | SDL Key Up event
C _Ecore_Sdl_Event_Mouse_Button_Down | SDL Mouse Down event
C _Ecore_Sdl_Event_Mouse_Button_Up | SDL Mouse Up event
C _Ecore_Sdl_Event_Mouse_Move | SDL Mouse Move event
C _Ecore_Sdl_Event_Mouse_Wheel | SDL Mouse Wheel event
C _Ecore_Sdl_Event_Video_Resize |
C _Ecore_Sdl_Event_Window |
C _ecore_sdl_keys_s |
C _Ecore_Version |
C _Ecore_Win32_Event_Mouse_In | Event sent when the mouse enters the window
C _Ecore_Win32_Event_Mouse_Out | Event sent when the mouse leaves the window
C _Ecore_Win32_Event_Window_Configure | Event sent when the window is configured
C _Ecore_Win32_Event_Window_Create | Event sent when the window is created
C _Ecore_Win32_Event_Window_Damage | Event sent when the window is damaged
C _Ecore_Win32_Event_Window_Delete_Request | Event sent when the window is deleted
C _Ecore_Win32_Event_Window_Destroy | Event sent when the window is destroyed
C _Ecore_Win32_Event_Window_Focus_In | Event sent when the window gets the focus
C _Ecore_Win32_Event_Window_Focus_Out | Event sent when the window looses the focus
C _Ecore_Win32_Event_Window_Hide | Event sent when the window is hidden
C _Ecore_Win32_Event_Window_Resize | Event sent when the window is resized
C _Ecore_Win32_Event_Window_Show | Event sent when the window is shown
C _Ecore_Wl_Event_Data_Source_Cancelled |
C _Ecore_Wl_Event_Data_Source_Send |
C _Ecore_Wl_Event_Data_Source_Target |
C _Ecore_Wl_Event_Dnd_Drop |
C _Ecore_Wl_Event_Dnd_End |
C _Ecore_Wl_Event_Dnd_Enter |
C _Ecore_Wl_Event_Dnd_Leave |
C _Ecore_Wl_Event_Dnd_Position |
C _Ecore_Wl_Event_Focus_In |
C _Ecore_Wl_Event_Focus_Out |
C _Ecore_Wl_Event_Interfaces_Bound |
C _Ecore_Wl_Event_Mouse_In |
C _Ecore_Wl_Event_Mouse_Out |
C _Ecore_Wl_Event_Selection_Data_Ready |
C _Ecore_Wl_Event_Window_Configure |
C _Ecore_Wl_Global |
C _Ecore_X_Event_Client_Message |
C _Ecore_X_Event_Damage |
C _Ecore_X_Event_Desktop_Change |
C _Ecore_X_Event_Fixes_Selection_Notify |
C _Ecore_X_Event_Frame_Extents_Request |
C _Ecore_X_Event_Generic |
C _Ecore_X_Event_Gesture_Notify_Flick |
C _Ecore_X_Event_Gesture_Notify_Group |
C _Ecore_X_Event_Gesture_Notify_Hold |
C _Ecore_X_Event_Gesture_Notify_Pan |
C _Ecore_X_Event_Gesture_Notify_PinchRotation |
C _Ecore_X_Event_Gesture_Notify_Tap |
C _Ecore_X_Event_Gesture_Notify_TapNHold |
C _Ecore_X_Event_Mapping_Change |
C _Ecore_X_Event_Mouse_In |
C _Ecore_X_Event_Mouse_Out |
C _Ecore_X_Event_Ping |
C _Ecore_X_Event_Randr_Crtc_Change |
C _Ecore_X_Event_Randr_Output_Change |
C _Ecore_X_Event_Randr_Output_Property_Notify |
C _Ecore_X_Event_Screen_Change |
C _Ecore_X_Event_Screensaver_Notify |
C _Ecore_X_Event_Selection_Clear |
C _Ecore_X_Event_Selection_Notify |
C _Ecore_X_Event_Selection_Request |
C _Ecore_X_Event_Startup_Sequence |
C _Ecore_X_Event_Sync_Alarm |
C _Ecore_X_Event_Sync_Counter |
C _Ecore_X_Event_Window_Colormap |
C _Ecore_X_Event_Window_Configure |
C _Ecore_X_Event_Window_Configure_Request |
C _Ecore_X_Event_Window_Create |
C _Ecore_X_Event_Window_Damage |
C _Ecore_X_Event_Window_Delete_Request |
C _Ecore_X_Event_Window_Destroy |
C _Ecore_X_Event_Window_Focus_In |
C _Ecore_X_Event_Window_Focus_Out |
C _Ecore_X_Event_Window_Gravity |
C _Ecore_X_Event_Window_Hide |
C _Ecore_X_Event_Window_Keymap |
C _Ecore_X_Event_Window_Move_Resize_Request |
C _Ecore_X_Event_Window_Prop_Client_Machine_Change |
C _Ecore_X_Event_Window_Prop_Desktop_Change |
C _Ecore_X_Event_Window_Prop_Icon_Name_Change |
C _Ecore_X_Event_Window_Prop_Name_Class_Change |
C _Ecore_X_Event_Window_Prop_Pid_Change |
C _Ecore_X_Event_Window_Prop_Title_Change |
C _Ecore_X_Event_Window_Prop_Visible_Icon_Name_Change |
C _Ecore_X_Event_Window_Prop_Visible_Title_Change |
C _Ecore_X_Event_Window_Property |
C _Ecore_X_Event_Window_Reparent |
C _Ecore_X_Event_Window_Resize_Request |
C _Ecore_X_Event_Window_Shape |
C _Ecore_X_Event_Window_Show |
C _Ecore_X_Event_Window_Show_Request |
C _Ecore_X_Event_Window_Stack |
C _Ecore_X_Event_Window_Stack_Request |
C _Ecore_X_Event_Window_State_Request |
C _Ecore_X_Event_Window_Visibility_Change |
C _Ecore_X_Event_Xdnd_Drop |
C _Ecore_X_Event_Xdnd_Enter |
C _Ecore_X_Event_Xdnd_Finished |
C _Ecore_X_Event_Xdnd_Leave |
C _Ecore_X_Event_Xdnd_Position |
C _Ecore_X_Event_Xdnd_Status |
C _Ecore_X_Event_Xkb |
C _Ecore_X_Icon |
C _Ecore_X_Randr_Crtc_Gamma_Info |
C _Ecore_X_Randr_Crtc_Info |
C _Ecore_X_Randr_Mode_Info |
C _Ecore_X_Randr_Screen_Size |
C _Ecore_X_Randr_Screen_Size_MM |
C _Ecore_X_Rectangle |
C _Ecore_X_Selection_Data |
C _Ecore_X_Selection_Data_Files |
C _Ecore_X_Selection_Data_Targets |
C _Ecore_X_Selection_Data_Text |
C _Ecore_X_Selection_Data_X_Moz_Url |
C _Ecore_X_Version |
C _Ecore_X_Window_Attributes |
C _Ecore_X_Xdnd_Position |
C _Edje_Color_Class |
C _Edje_Data | A structure that stores a key/value tuple
C _Edje_Edit_Limit |
C _Edje_Edit_Script_Error |
C _Edje_Entry_Change_Info |
C _Edje_External_Param | Struct that holds parameters for parts of type EXTERNAL
C _Edje_External_Param_Info | Struct holding information about an EXTERNAL part's parameters
C _Edje_External_Type | Information about an external type to be used
C _Edje_External_Type_Info | Convenience struct used to mass-register types of EXTERNAL objects
C _Edje_Item |
C _Edje_Item_Cell |
C _Edje_Item_Class |
C _Edje_Message_Float | Structure passed as value on EDJE_MESSAGE_FLOAT messages
C _Edje_Message_Float_Set | Structure passed as value on EDJE_MESSAGE_FLOAT_SET messages
C _Edje_Message_Int | Structure passed as value on EDJE_MESSAGE_INT messages
C _Edje_Message_Int_Set | Structure passed as value on EDJE_MESSAGE_INT_SET messages
C _Edje_Message_String | Structure passed as value on EDJE_MESSAGE_STRING messages
C _Edje_Message_String_Float | Structure passed as value on EDJE_MESSAGE_STRING_FLOAT messages
C _Edje_Message_String_Float_Set | Structure passed as value on EDJE_MESSAGE_STRING_FLOAT_SET messages
C _Edje_Message_String_Int | Structure passed as value on EDJE_MESSAGE_STRING_INT messages
C _Edje_Message_String_Int_Set | Structure passed as value on EDJE_MESSAGE_STRING_INT_SET messages
C _Edje_Message_String_Set | Structure passed as value on EDJE_MESSAGE_STRING_SET messages
C _Edje_Part_Image_Use |
C _Edje_Version |
C _Eet_Data_Descriptor_Class | Instructs Eet about memory management for different needs under serialization and parse process
C _Eet_Entry |
C _Eet_Node_Data | Contains an union that can fit any kind of node
C _Eet_Node_Walk | Describes how to walk trees of Eet_Node
C _Eet_Version |
C _Eeze_Event_Disk |
C _Eeze_Event_Disk_Error |
C _Eeze_Sensor_Obj |
C _Eeze_Version |
C _Efl_Gfx_Dash |
C _Efl_Gfx_Gradient_Stop |
C _Efl_Model_Children_Event | Every time a child id added the event EFL_MODEL_EVENT_CHILD_ADDED is dispatched passing along this structure
C _Efl_Model_Load | Structure to hold Efl_Model_Load_Status enum (and possible other data) to avoid ABI break
C _Efl_Model_Property_Event |
C _Efreet_Desktop | Efreet_Desktop
C _Efreet_Desktop_Action | Efreet_Desktop_Action
C _Efreet_Event_Cache_Update | Efreet_Event_Cache_Update
C _Efreet_Version |
C _Eina_Accessor | Structure to provide random access to data structures
C _Eina_Array | Type for an array of data
C _Eina_Clist | The structure type for a compact list type
C _Eina_File | This is the underlying data structure that represents a file in Eina
C _Eina_File_Direct_Info | The structure to store information of a path
C _Eina_File_Line | The structure to store information of a line
C _Eina_File_Map | This represents a memory mapped region of a file
C _Eina_Hash_Tuple | Data for a hash table of key/value pairs
C _Eina_Inarray | Inline array structure
C _Eina_Inlist | Inlined list type
C _Eina_Iterator | Structure of an iterator
C _Eina_Lines_Iterator | This represents a line iterator a file
C _Eina_List | Type for a generic double linked list
C _Eina_List_Accounting | Cache used to store the last element of a list and the number of elements, for fast access
C _Eina_Log_Domain | The domain used for logging
C _Eina_Matrix3 |
C _Eina_Matrix3_F16p16 |
C _Eina_Quad | Quadrangle definition
C _Eina_Rbtree |
C _Eina_Rectangle |
C _Eina_Simple_XML_Attribute |
C _Eina_Simple_XML_Node |
C _Eina_Simple_XML_Node_Data |
C _Eina_Simple_XML_Node_Tag |
C _Eina_Stat | The structure to store some file statistics
C _Eina_Strbuf | String buffer to facilitate string operations
C _Eina_Thread_Queue_Msg |
C _Eina_Thread_Queue_Msg_Sub |
C _Eina_Trash | The structure type for a generic container of an unused allocated pointer
C _Eina_Value | Defines the contents of a value
C _Eina_Value_Array | Used to store the array and its subtype
C _Eina_Value_Blob | Used to store the blob information and management operations
C _Eina_Value_Blob_Operations | How to manage blob
C _Eina_Value_Hash | Used to store the hash and its subtype
C _Eina_Value_List | Used to store the list and its subtype
C _Eina_Value_Struct | Used to store the memory and its description
C _Eina_Value_Struct_Desc | Describes the struct by listing its size, members and operations
C _Eina_Value_Struct_Member | Describes a single member of struct
C _Eina_Value_Struct_Operations | How to manage struct
C _Eina_Value_Type | API to access values
C _Eina_Value_Union | All possible value types
C _Eina_Version |
C _Eina_Xattr |
C _Eio_Monitor_Error |
C _Eio_Monitor_Event |
C _Eio_Progress | Represents the current progress of the operation
C _Eio_Version |
C _Eldbus_Arg_Info |
C _Eldbus_Error_Info |
C _Eldbus_Method |
C _Eldbus_Method2 |
C _Eldbus_Object_Event_Interface_Added |
C _Eldbus_Object_Event_Interface_Removed |
C _Eldbus_Object_Event_Property_Changed |
C _Eldbus_Object_Event_Property_Removed |
C _Eldbus_Property |
C _Eldbus_Proxy_Event_Property_Changed |
C _Eldbus_Proxy_Event_Property_Loaded |
C _Eldbus_Proxy_Event_Property_Removed |
C _Eldbus_Service_Interface_Desc |
C _Eldbus_Service_Interface_Desc2 |
C _Eldbus_Signal |
C _Eldbus_Version |
C _Embryo_Version |
C _Emile_Image_Animated |
C _Emile_Image_Load_Opts |
C _Emile_Image_Property |
C _Emotion_Engine |
C _Emotion_Module_Options |
C _Emotion_Version |
C _Eo_Lexer |
C _Eo_Lexer_Temps |
C _Eo_Token |
C _Eolian_Class |
C _Eolian_Constructor |
C _Eolian_Dependency |
C _Eolian_Enum_Type_Field |
C _Eolian_Event |
C _Eolian_Expression |
C _Eolian_Function |
C _Eolian_Function_Parameter |
C _Eolian_Implement |
C _Eolian_Object |
C _Eolian_Struct_Type_Field |
C _Eolian_Type |
C _Eolian_Variable |
C _EPhysics_Body_Material_Props |
C _EPhysics_Quaternion | Quaternion coordinates and rotation (w, x, y, z)
C _Ethumb_Plugin |
C _Ethumb_Version |
C _Evas_Axis |
C _Evas_Cache2 |
C _Evas_Cache2_Image_Func |
C _Evas_Coord_Point | A Point in Evas_Coord
C _Evas_Coord_Precision_Point | A point in Evas_Coord with subpixel precision
C _Evas_Coord_Precision_Size | A size in Evas_Coord with subpixel precision
C _Evas_Coord_Rectangle | A rectangle in Evas_Coord
C _Evas_Coord_Size | A size in Evas_Coord
C _Evas_Cserve_Config | Configuration that controls the server that shares cached bitmaps
C _Evas_Cserve_Image | A handle to an image shared by a server
C _Evas_Cserve_Image_Cache | A handle of a cache of images shared by a server
C _Evas_Cserve_Stats | Statistics about the server that shares cached bitmaps
C _Evas_Engine_Info | Generic engine information
C _Evas_Event_Axis_Update |
C _Evas_Event_Hold | Hold change event
C _Evas_Event_Key_Down | Key press event
C _Evas_Event_Key_Up | Key release event
C _Evas_Event_Mouse_Down | Mouse button press event
C _Evas_Event_Mouse_In | Mouse enter event
C _Evas_Event_Mouse_Move | Mouse move event
C _Evas_Event_Mouse_Out | Mouse leave event
C _Evas_Event_Mouse_Up | Mouse button release event
C _Evas_Event_Mouse_Wheel | Wheel event
C _Evas_Event_Multi_Down | Multi button press event
C _Evas_Event_Multi_Move | Multi button down event
C _Evas_Event_Multi_Up | Multi button release event
C _Evas_Event_Render_Post | Send when the frame rendering is done
C _Evas_GL_API | The Evas GL API This structure contains function pointers to the available GL functions
C _Evas_GL_Config | A structure used to specify the configuration of an Evas_GL_Surface
C _Evas_Image_Load_Func |
C _Evas_Module |
C _Evas_Module_Api |
C _Evas_Native_Surface | A generic datatype for engine specific native surface information
C _Evas_Object_Box_Api | This structure should be used by any smart class inheriting from the box's one, to provide custom box behavior which could not be achieved only by providing a layout function, with evas_object_box_layout_set()
C _Evas_Object_Box_Data | This structure augments clipped smart object's instance data, providing extra members required by generic box implementation
C _Evas_Object_Box_Option | Evas_Object_Box_Option struct fields
C _Evas_Object_Smart_Clipped_Data |
C _Evas_Pixel_Import_Source |
C _Evas_Point | A point
C _Evas_Position | A position
C _Evas_Precision_Position | A position with precision
C _Evas_Smart_Cb_Description | Describes a callback issued by a smart object (evas_object_smart_callback_call()), as defined in its smart object class
C _Evas_Smart_Class | A smart object's base class definition
C _Evas_Smart_Interface | A smart object's base interface definition
C _Evas_Textblock_Rectangle |
C _Evas_Textgrid_Cell | The values that describes each cell
C _Evas_Version |
C _Evas_Video_Surface |
C _Lexer_Ctx |
C _Old_Edje_External_Directory | A structure that stores old external directory entries
C _Old_Edje_File | A structure that stores old Edje files information
C _Old_Edje_Font_Directory | A structure that stores old font directory entries
C _Old_Edje_Image_Directory | A structure that stores old image directory entries
C _Old_Edje_Part | A structure that stores old Edje part information
C _Old_Edje_Part_Collection | A structure that stores old Edje part collection information
C _Old_Edje_Part_Description | A structure that stores old Edje part description information
C _Old_Edje_Part_Description_Spec_Image | A structure that stores old Edje part description image information
C _Smart_Data |
C _Smart_Data_Colinfo |
C cclass |
C CEnumFormatEtc |
C cname |
C cset |
C DataObject |
C dirent | A structure that describes a directory stream
C Dl_info | A structure that stores infomation of a calling process
C dns_a |
C dns_aaaa |
C dns_any |
C dns_cache |
C dns_cname |
C dns_header |
C dns_hints_i |
C dns_mx |
C dns_ns |
C dns_opt |
C dns_options |
►C dns_packet |
C dns_s_memo |
C dns_ptr |
C dns_resolv_conf |
C dns_rr |
C dns_rr_i |
C dns_soa |
C dns_srv |
C dns_sshfp |
C dns_stat |
C dns_txt |
C DropSource |
C DropTarget |
C dumpinfo |
C Ecore_Cocoa_AppDelegate |
C Ecore_Cocoa_Application |
C Ecore_Con_Event_Data_Received |
C ecore_win32_name_keysym |
C Ecore_X_Event_Present_Complete |
C Ecore_X_Event_Present_Configure |
C Ecore_X_Event_Present_Idle |
C Ecore_X_Present |
C EcoreCocoaWindow |
C Efl_Model_Children_Event |
C Efreet_Icon | Efreet_Icon
C Efreet_Icon_Point | Efreet_Icon_Point
C Efreet_Icon_Theme | Efreet_Icon_Theme
C Efreet_Icon_Theme_Directory | Efreet_Icon_Theme_Directory
C Efreet_Ini | Efreet_Ini
C Efreet_Menu | Efreet_Menu Stores information on a entry in the menu
C Efreet_Uri | Efreet_Uri
C Efreet_Xml | Efreet_Xml
C Efreet_Xml_Attribute | Efreet_Xml_Attributes
C Eina_Tile_Grid_Info | Grid type of a tiler
C Embryo_Float_Cell |
C flock | A structure that controls the lock of a file descriptor
C ivi_surface_listener | Ivi_surface - application interface to surface in ivi compositor : visibility of surface in ivi compositor has changed
C MD5Context |
C moveContext |
C passwd | A structure that describes a password
C re_guts |
C regex_t |
C regmatch_t |
C SW_FT_BBox_ |
C SW_FT_Outline_ |
C SW_FT_Raster_Funcs_ |
C SW_FT_Raster_Params_ |
C SW_FT_Span_ |
C SW_FT_Vector_ |
C xdg_popup_listener | Xdg_popup - desktop-style metadata interface : popup interaction is done
C xdg_shell_listener | Xdg_shell - create desktop-style surfaces : check if the client is alive
C xdg_surface_listener | Xdg_surface - desktop-style metadata interface : suggest a surface change : surface wants to be closed